/*
 *  pci_r.h
 *
 */
#ifndef __PCI_R_H_INCLUDED

#pragma pack(1);
#ifdef __cplusplus
extern "C" {
#endif

#define PCI_NO_WORKER 0xffff

typedef struct _pci_route_buffer_r {
	short unsigned  BufferSize;
	unsigned  DataBufferOffset;
	short unsigned  DataBufferSeg;
	} IRQRoutingOptionsBuffer_r;


extern int _CA_PCI_Get_Routing_Options_r(struct _pci_route_buffer_r *rbufptr,
		 			 unsigned *IRQForPCI);

extern void pci_kill_worker(void);

#ifdef __cplusplus
}
#endif
#pragma pack();

#define __PCI_R_H_INCLUDED
#endif
